Bug 1576125 - [DOCS] Missing instructions to create storageclass object on OCP 3.7
Summary: [DOCS] Missing instructions to create storageclass object on OCP 3.7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Wenqi He
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 22:11 UTC by hgomes
Modified: 2018-06-12 03:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-12 03:24:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description hgomes 2018-05-08 22:11:12 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.7/install_config/persistent_storage/dynamically_provisioning_pvs.html

Section Number and Name: 
Basic StorageClass Object Definition


Describe the issue: 
Missing instructions to create storageclass object.

Suggestions for improvement: 

After kube 1.7 azure storage class has been revised, you need to specify the "kind: Dedicated" if you still want to use the azure storage class you created before upgrade, otherwise, add location in you azure conf to use the default "kind: Shared" and it will create few new storage accounts and keep using the new created ones.

Eg.

kind: StorageClass
apiVersion: storage.k8s.io/v1beta1
metadata:
  name: "generic"
  annotations:
    storageclass.beta.kubernetes.io/is-default-class: "true"
    volume.beta.kubernetes.io/storage-class: "generic"
    volume.beta.kubernetes.io/storage-provisioner: kubernetes.io/azure-disk
provisioner: kubernetes.io/azure-disk
parameters:
  storageAccount: <>
  location: <>
  storageaccounttype: <>
  kind: dedicated


Additional information: 

Changes needed for Documentation on OCP 3.7 and OCP 3.9
Refer to bug https://bugzilla.redhat.com/show_bug.cgi?id=1567610

Comment 1 Gaurav Nelson 2018-05-16 04:22:49 UTC
@hgomes I am tracking this in https://github.com/openshift/openshift-docs/pull/9296. Please take a look at the PR.

Comment 4 Gaurav Nelson 2018-05-28 04:17:54 UTC
@hgomes I am tracking this in https://github.com/openshift/openshift-docs/pull/9297. Please take a look at the PR.

Comment 5 hgomes 2018-05-28 12:45:41 UTC
The name of the location to create a VM in. An example for it, would be the value 'eastus' it refers to EAST-US.
Reference.
https://docs.microsoft.com/en-us/azure/azure-resource-manager/xplat-cli-azure-resource-manager

Comment 6 Wenqi He 2018-05-30 08:16:14 UTC
This update looks good to me.

Comment 7 openshift-github-bot 2018-06-04 01:35:17 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/8def71e87e22c4aacf6891cabfa85f630d7870f8
Merge pull request #9297 from gaurav-nelson/bug1576125-fixes

Bug#1576125 - fixes - added note for handling changes in the azure storageclass


Note You need to log in before you can comment on or make changes to this bug.